Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.memtree
Class ElementImpl

    java.lang.Object
      org.exist.memtree.NodeImpl
          org.exist.memtree.ElementImpl

All Implemented Interfaces:
  java.lang.Comparable, org.w3c.dom.Element, Item, org.w3c.dom.Node, NodeValue, QNameable, Sequence

public class ElementImpl
extends NodeImpl
implements org.w3c.dom.Element, QNameable

Field Summary

Fields inherited from class org.exist.memtree.NodeImpl
`NAMESPACE_NODE, REFERENCE_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.exist.xquery.value.NodeValue
`IN_MEMORY_NODE, PERSISTENT_NODE`

Fields inherited from interface org.exist.xquery.value.Sequence
`EMPTY_SEQUENCE`

Constructor Summary
`ElementImpl(DocumentImpl doc, int nodeNumber)`

Method Summary
`java.lang.String` | `getAttribute(java.lang.String name)`
`org.w3c.dom.Attr` | `getAttributeNode(java.lang.String name)`
`org.w3c.dom.Attr` | `getAttributeNodeNS(java.lang.String namespaceURI, java.lang.String localName)`
`java.lang.String` | `getAttributeNS(java.lang.String namespaceURI, java.lang.String localName)`
`org.w3c.dom.NamedNodeMap` | `getAttributes()`
`int` | `getAttributesCount()`
`java.lang.String` | `getBaseURI()` ? @see org.w3c.dom.Node#getBaseURI()
`int` | `getChildCount()`
`org.w3c.dom.NodeList` | `getChildNodes()`
`org.w3c.dom.NodeList` | `getElementsByTagName(java.lang.String name)`
`org.w3c.dom.NodeList` | `getElementsByTagNameNS(java.lang.String namespaceURI, java.lang.String name)`
`org.w3c.dom.Node` | `getFirstChild()`
`java.lang.String` | `getLocalName()`
`java.lang.String` | `getNamespaceURI()`
`java.lang.String` | `getPrefix()`
`QName` | `getQName()`
`org.w3c.dom.TypeInfo` | `getSchemaTypeInfo()` ? @see org.w3c.dom.Element#getSchemaTypeInfo()
`java.lang.String` | `getTagName()`
`boolean` | `hasAttribute(java.lang.String name)`
`boolean` | `hasAttributeNS(java.lang.String namespaceURI, java.lang.String localName)`
`boolean` | `hasAttributes()`
`boolean` | `hasChildNodes()`
`void` | `removeAttribute(java.lang.String arg0)`
`org.w3c.dom.Attr` | `removeAttributeNode(org.w3c.dom.Attr arg0)`
`void` | `removeAttributeNS(java.lang.String arg0, java.lang.String arg1)`
`void` | `setAttribute(java.lang.String arg0, java.lang.String arg1)`
`org.w3c.dom.Attr` | `setAttributeNode(org.w3c.dom.Attr arg0)`
`org.w3c.dom.Attr` | `setAttributeNodeNS(org.w3c.dom.Attr arg0)`
`void` | `setAttributeNS(java.lang.String arg0, java.lang.String arg1, java.lang.String arg2)`
`void` | `setIdAttribute(java.lang.String name, boolean isId)` ? @see org.w3c.dom.Element#setIdAttribute(java.lang.String, boolean)
`void` | `setIdAttributeNode(org.w3c.dom.Attr idAttr, boolean isId)` ? @see org.w3c.dom.Element#setIdAttributeNode(org.w3c.dom.Attr, boolean)
`void` | `setIdAttributeNS(java.lang.String namespaceURI, java.lang.String localName, boolean isId)` ? @see org.w3c.dom.Element#setIdAttributeNS(java.lang.String, java.lang.String, boolean)
`java.lang.String` | `toString()`

Methods inherited from class org.exist.memtree.NodeImpl
`add, addAll, addContextNode, after, appendChild, atomize, before, clearContext, cloneNode, compareDocumentPosition, compareTo, conversionPreference, convertTo, copyTo, deepCopy, effectiveBooleanValue, equals, equals, expand, getCardinality, getDocument, getDocumentSet, getFeature, getImplementationType, getItemType, getLastChild, getLength, getNextSibling, getNode, getNodeName, getNodeNumber, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getStringValue, getTextContent, getType, getUserData, hasMany, hasOne, insertBefore, isCached, isDefaultNamespace, isEmpty, isEqualNode, isPersistentSet, isSameNode, isSupported, itemAt, iterate, lookupNamespaceURI, lookupPrefix, normalize, removeChild, removeDuplicates, replaceChild, setIsCached, setNodeValue, setPrefix, setSelfAsContext, setTextContent, setUserData, streamTo, toJavaObject, toNodeSet, toSAX, toSequence, unorderedIterator`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### ElementImpl

    public ElementImpl(DocumentImpl doc,
                       int nodeNumber)

Method Detail

### getTagName

    public java.lang.String getTagName()

  Specified by:
    `getTagName` in interface `org.w3c.dom.Element`

### getQName

    public QName getQName()

  Specified by:
    `getQName` in interface `QNameable`
  Overrides:
    `getQName` in class `NodeImpl`

### hasChildNodes

    public boolean hasChildNodes()

  Specified by:
    `hasChildNodes` in interface `org.w3c.dom.Node`
  Overrides:
    `hasChildNodes` in class `NodeImpl`

### getFirstChild

    public org.w3c.dom.Node getFirstChild()

  Specified by:
    `getFirstChild` in interface `org.w3c.dom.Node`
  Overrides:
    `getFirstChild` in class `NodeImpl`

### getChildNodes

    public org.w3c.dom.NodeList getChildNodes()

  Specified by:
    `getChildNodes` in interface `org.w3c.dom.Node`
  Overrides:
    `getChildNodes` in class `NodeImpl`

### getChildCount

    public int getChildCount()

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Specified by:
    `getNamespaceURI` in interface `org.w3c.dom.Node`
  Overrides:
    `getNamespaceURI` in class `NodeImpl`

### getPrefix

    public java.lang.String getPrefix()

  Specified by:
    `getPrefix` in interface `org.w3c.dom.Node`
  Overrides:
    `getPrefix` in class `NodeImpl`

### getLocalName

    public java.lang.String getLocalName()

  Specified by:
    `getLocalName` in interface `org.w3c.dom.Node`
  Overrides:
    `getLocalName` in class `NodeImpl`

### hasAttributes

    public boolean hasAttributes()

  Specified by:
    `hasAttributes` in interface `org.w3c.dom.Node`
  Overrides:
    `hasAttributes` in class `NodeImpl`

### getAttribute

    public java.lang.String getAttribute(java.lang.String name)

  Specified by:
    `getAttribute` in interface `org.w3c.dom.Element`

### setAttribute

    public void setAttribute(java.lang.String arg0,
                             java.lang.String arg1)
                      throws org.w3c.dom.DOMException

  Specified by:
    `setAttribute` in interface `org.w3c.dom.Element`
  Throws:
    `org.w3c.dom.DOMException`

### removeAttribute

    public void removeAttribute(java.lang.String arg0)
                         throws org.w3c.dom.DOMException

  Specified by:
    `removeAttribute` in interface `org.w3c.dom.Element`
  Throws:
    `org.w3c.dom.DOMException`

### getAttributesCount

    public int getAttributesCount()

### getAttributes

    public org.w3c.dom.NamedNodeMap getAttributes()

  Specified by:
    `getAttributes` in interface `org.w3c.dom.Node`
  Overrides:
    `getAttributes` in class `NodeImpl`

### getAttributeNode

    public org.w3c.dom.Attr getAttributeNode(java.lang.String name)

  Specified by:
    `getAttributeNode` in interface `org.w3c.dom.Element`

### setAttributeNode

    public org.w3c.dom.Attr setAttributeNode(org.w3c.dom.Attr arg0)
                                      throws org.w3c.dom.DOMException

  Specified by:
    `setAttributeNode` in interface `org.w3c.dom.Element`
  Throws:
    `org.w3c.dom.DOMException`

### removeAttributeNode

    public org.w3c.dom.Attr removeAttributeNode(org.w3c.dom.Attr arg0)
                                         throws org.w3c.dom.DOMException

  Specified by:
    `removeAttributeNode` in interface `org.w3c.dom.Element`
  Throws:
    `org.w3c.dom.DOMException`

### getElementsByTagName

    public org.w3c.dom.NodeList getElementsByTagName(java.lang.String name)

  Specified by:
    `getElementsByTagName` in interface `org.w3c.dom.Element`

### getAttributeNS

    public java.lang.String getAttributeNS(java.lang.String namespaceURI,
                                           java.lang.String localName)

  Specified by:
    `getAttributeNS` in interface `org.w3c.dom.Element`

### setAttributeNS

    public void setAttributeNS(java.lang.String arg0,
                               java.lang.String arg1,
                               java.lang.String arg2)
                        throws org.w3c.dom.DOMException

  Specified by:
    `setAttributeNS` in interface `org.w3c.dom.Element`
  Throws:
    `org.w3c.dom.DOMException`

### removeAttributeNS

    public void removeAttributeNS(java.lang.String arg0,
                                  java.lang.String arg1)
                           throws org.w3c.dom.DOMException

  Specified by:
    `removeAttributeNS` in interface `org.w3c.dom.Element`
  Throws:
    `org.w3c.dom.DOMException`

### getAttributeNodeNS

    public org.w3c.dom.Attr getAttributeNodeNS(java.lang.String namespaceURI,
                                               java.lang.String localName)

  Specified by:
    `getAttributeNodeNS` in interface `org.w3c.dom.Element`

### setAttributeNodeNS

    public org.w3c.dom.Attr setAttributeNodeNS(org.w3c.dom.Attr arg0)
                                        throws org.w3c.dom.DOMException

  Specified by:
    `setAttributeNodeNS` in interface `org.w3c.dom.Element`
  Throws:
    `org.w3c.dom.DOMException`

### getElementsByTagNameNS

    public org.w3c.dom.NodeList getElementsByTagNameNS(java.lang.String namespaceURI,
                                                       java.lang.String name)

  Specified by:
    `getElementsByTagNameNS` in interface `org.w3c.dom.Element`

### hasAttribute

    public boolean hasAttribute(java.lang.String name)

  Specified by:
    `hasAttribute` in interface `org.w3c.dom.Element`

### hasAttributeNS

    public boolean hasAttributeNS(java.lang.String namespaceURI,
                                  java.lang.String localName)

  Specified by:
    `hasAttributeNS` in interface `org.w3c.dom.Element`

### getBaseURI

    public java.lang.String getBaseURI()

  Description copied from class: `NodeImpl`
  ? @see org.w3c.dom.Node#getBaseURI()

  Overrides:
    `getBaseURI` in class `NodeImpl`

### getSchemaTypeInfo

    public org.w3c.dom.TypeInfo getSchemaTypeInfo()

  ? @see org.w3c.dom.Element#getSchemaTypeInfo()

### setIdAttribute

    public void setIdAttribute(java.lang.String name,
                               boolean isId)
                        throws org.w3c.dom.DOMException

  ? @see org.w3c.dom.Element#setIdAttribute(java.lang.String, boolean)

  Throws:
    `org.w3c.dom.DOMException`

### setIdAttributeNS

    public void setIdAttributeNS(java.lang.String namespaceURI,
                                 java.lang.String localName,
                                 boolean isId)
                          throws org.w3c.dom.DOMException

  ? @see org.w3c.dom.Element#setIdAttributeNS(java.lang.String, java.lang.String, boolean)

  Throws:
    `org.w3c.dom.DOMException`

### setIdAttributeNode

    public void setIdAttributeNode(org.w3c.dom.Attr idAttr,
                                   boolean isId)
                            throws org.w3c.dom.DOMException

  ? @see org.w3c.dom.Element#setIdAttributeNode(org.w3c.dom.Attr, boolean)

  Throws:
    `org.w3c.dom.DOMException`

### toString

    public java.lang.String toString()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.